/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.edge;


public class PolygonPolygonIntersection {
	
	private EdgePolygon p1;
	private EdgePolygon p2;
	private PolyLine polyLine;
	private IntersectionType type;

	public PolygonPolygonIntersection(EdgePolygon p1, EdgePolygon p2, PolyLine polyLine, IntersectionType type) {
		this.p1 = p1;
		this.p2 = p2;
		this.polyLine = polyLine;
		this.type = type;
	}

	public PolygonPolygonIntersection(EdgePolygon p1, EdgePolygon p2, PolyLine polyLine) {
		this(p1, p2, polyLine, IntersectionType.NORMAL_INTERSECTION);
	}
	
	public PolyLine getPolyLine() {
		return polyLine;
	}
	
	public IntersectionType getIntersectionType() {
		return type;
	}
	
	public EdgePolygon getPolygon1() {
		return p1;
	}
	
	public EdgePolygon getPolygon2() {
		return p2;
	}

}
